Pfsense 2.4 - Pkg installer broken on upgrade



  • 2.4.0-RELEASE (amd64)
    built on Tue Oct 10 06:43:01 CDT 2017
    FreeBSD 10.3-RELEASE-p19

    The system is on the latest version.
    Version information updated at Wed Oct 18 1:40:08 EDT 2017

    Package manager is still not working.
    1. re-install of new pkgs are failing, when this is upgraded from older version.

    A fresh install takes care of it, but then, backup taken (from older version is not deployable on the new version)

    Pls help

    List of example packages that are not installable
    Autoconfigbackup
    nrpe2




  • @aloksinha2001:

    2.4.0-RELEASE (amd64)
    built on Tue Oct 10 06:43:01 CDT 2017
    FreeBSD 10.3-RELEASE-p19

    That installation is broken, the 2.4 release uses FreeBSD 11.1 not 10.3. Do a fresh install and restore a config backup, or reconfigure it by hand.